from flask import Blueprint


# from core.decorators import api_resource
from core.utils import LazyView

blog = Blueprint('blog', __name__, url_prefix='')


def add_view(url, view, methods=None):
    blog.add_url_rule(url, view_func=LazyView('blog.views.{}'.format(view)),
                      methods=methods)


add_view('/', 'show_posts')
add_view('/<slug>', 'show_post')
add_view('/add', 'add_post', ['GET', 'POST'])
